import { AfterViewInit, ElementRef, EventEmitter, OnInit } from "@angular/core";
import { IconCacheService } from '../../service/icon-cache.service';
import { DomSanitizer } from "@angular/platform-browser";
import SignaturePad from "signature_pad";
import { CoDocument } from "@colijnit/mainapi/build/model/co-document";
import { Icon } from '../../enum/icon.enum';
export declare class CustomPdfDialogComponent implements OnInit, AfterViewInit {
    iconCacheService: IconCacheService;
    private _sanitizer;
    readonly icons: typeof Icon;
    showClass(): boolean;
    pdfBody: ElementRef;
    additionalFileContents: any;
    additionalFileName: string;
    closePDFDialog: EventEmitter<any>;
    additionalFileChangeEvent: EventEmitter<CoDocument>;
    canvas: HTMLCanvasElement;
    context: CanvasRenderingContext2D;
    signature: SignaturePad;
    signatureCanvas: ElementRef;
    fileBody: any;
    fileStyle: string;
    constructor(iconCacheService: IconCacheService, _sanitizer: DomSanitizer);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    extractStyleParts(html: string): string[];
    removeStyleAndScriptTags(html: string): string;
    extractBodyContents(html: string): string[];
    handleSaveClicked(): Promise<void>;
    dataURItoBlob(dataURI: any): File;
    handleClear(event?: MouseEvent): void;
    private _initCanvas;
    private _resizeSignatureCanvas;
}
